## wpewebkit 2.46.3

=== Tools/MiniBrowser/wpe/CMakeLists.txt ===
set(MiniBrowser_SOURCES
    main.cpp
)

set(MiniBrowser_PRIVATE_INCLUDE_DIRECTORIES
    ${CMAKE_BINARY_DIR}
    ${DERIVED_SOURCES_WPE_API_DIR}
    ${FORWARDING_HEADERS_WPE_DIR}
    ${JavaScriptCoreGLib_DERIVED_SOURCES_DIR}
    ${JavaScriptCoreGLib_FRAMEWORK_HEADERS_DIR}
)

set(MiniBrowser_SYSTEM_INCLUDE_DIRECTORIES
    ${GLIB_INCLUDE_DIRS}
    ${LIBSOUP_INCLUDE_DIRS}
)

set(MiniBrowser_PRIVATE_LIBRARIES
    ${JavaScriptCore_LIBRARY_NAME}
    WebKit::WPEToolingBackends
    WebKit::WebKit
)

if (USE_ATK)
    list(APPEND MiniBrowser_SYSTEM_INCLUDE_DIRECTORIES
        ${ATK_INCLUDE_DIRS}
    )

    list(APPEND MiniBrowser_PRIVATE_LIBRARIES
        ${ATK_LIBRARIES}
    )
endif ()

if (ENABLE_WPE_PLATFORM)
    list(APPEND MiniBrowser_PRIVATE_INCLUDE_DIRECTORIES
        ${WPEPlatform_DERIVED_SOURCES_DIR}
        ${WEBKIT_DIR}/WPEPlatform
    )

    list(APPEND MiniBrowser_PRIVATE_LIBRARIES
        WPEPlatform-${WPE_API_VERSION}
    )
endif ()

if (NOT USE_GSTREAMER_FULL)
  list(APPEND MiniBrowser_PRIVATE_INCLUDE_DIRECTORIES ${GSTREAMER_INCLUDE_DIRS})
  list(APPEND MiniBrowser_PRIVATE_LIBRARIES ${GSTREAMER_LIBRARIES})
endif ()

if (DEVELOPER_MODE)
    list(APPEND MiniBrowser_PRIVATE_DEFINITIONS WEBKIT_INJECTED_BUNDLE_PATH="${CMAKE_LIBRARY_OUTPUT_DIRECTORY}")
endif ()

WEBKIT_EXECUTABLE_DECLARE(MiniBrowser)
WEBKIT_EXECUTABLE(MiniBrowser)

install(TARGETS MiniBrowser DESTINATION "${LIBEXEC_INSTALL_DIR}")

if (ENABLE_WPE_QT_API)
    if (USE_QT6)
        add_subdirectory(qt6)
    else ()
        add_subdirectory(qt5)
    endif ()
endif ()

=== Tools/wpe/backends/CMakeLists.txt ===
set(WPEToolingBackends_LIBRARY_TYPE STATIC)
set(WPEToolingBackends_DERIVED_SOURCES_DIR "${CMAKE_BINARY_DIR}/WPEToolingBackends/DerivedSources")
set(WPEToolingBackends_FRAMEWORK_HEADERS_DIR "${CMAKE_BINARY_DIR}/WPEToolingBackends/Headers")

file(MAKE_DIRECTORY ${WPEToolingBackends_DERIVED_SOURCES_DIR})

set(WPEToolingBackends_PUBLIC_HEADERS
    HeadlessViewBackend.h
    ViewBackend.h
)

set(WPEToolingBackends_SOURCES
    HeadlessViewBackend.cpp
    ViewBackend.cpp
)

set(WPEToolingBackends_PRIVATE_INCLUDE_DIRECTORIES
    ${WPEToolingBackends_DERIVED_SOURCES_DIR}
    ${TOOLS_DIR}/wpe/backends
)

set(WPEToolingBackends_LIBRARIES
    WPE::libwpe
)

if (USE_CAIRO)
    list(APPEND WPEToolingBackends_PRIVATE_LIBRARIES Cairo::Cairo)
    list(APPEND WPEToolingBackends_PRIVATE_DEFINITIONS USE_CAIRO=1)
elseif (USE_SKIA)
    list(APPEND WPEToolingBackends_PRIVATE_LIBRARIES Skia)
    list(APPEND WPEToolingBackends_PRIVATE_DEFINITIONS USE_SKIA=1)
endif ()

set(WPEToolingBackends_INTERFACE_LIBRARIES WPEToolingBackends)
set(WPEToolingBackends_INTERFACE_INCLUDE_DIRECTORIES ${WPEToolingBackends_FRAMEWORK_HEADERS_DIR})
set(WPEToolingBackends_INTERFACE_DEPENDENCIES WPEToolingBackends_CopyHeaders)

WEBKIT_LIBRARY_DECLARE(WPEToolingBackends)
WEBKIT_INCLUDE_CONFIG_FILES_IF_EXISTS()

WEBKIT_COPY_FILES(WPEToolingBackends_CopyHeaders
    DESTINATION ${WPEToolingBackends_FRAMEWORK_HEADERS_DIR}/WPEToolingBackends
    FILES ${WPEToolingBackends_PUBLIC_HEADERS}
    FLATTENED
)

WEBKIT_LIBRARY(WPEToolingBackends)

=== Source/WebKit/WPEPlatform/wpe/wayland/CMakeLists.txt ===
file(MAKE_DIRECTORY ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland)

configure_file(wpe-platform-wayland.pc.in ${CMAKE_BINARY_DIR}/wpe-platform-wayland-${WPE_API_VERSION}.pc @ONLY)
configure_file(wpe-platform-wayland-uninstalled.pc.in ${CMAKE_BINARY_DIR}/wpe-platform-wayland-${WPE_API_VERSION}-uninstalled.pc @ONLY)

set(WPEPlatformWayland_SOURCES
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEDisplayWayland.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEInputMethodContextWaylandV1.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEInputMethodContextWaylandV3.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEScreenWayland.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEToplevelWayland.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEViewWayland.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEWaylandCursor.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEWaylandCursorTheme.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEWaylandSHMPool.cpp
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEWaylandSeat.cpp
    ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-dmabuf-unstable-v1-protocol.c
    ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-explicit-synchronization-unstable-v1-protocol.c
    ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v1-protocol.c
    ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v3-protocol.c
    ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-shell-protocol.c
)

set(WPEPlatformWayland_INSTALLED_HEADERS
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/wpe-wayland.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEDisplayWayland.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEScreenWayland.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEToplevelWayland.h
    ${WEBKIT_DIR}/WPEPlatform/wpe/wayland/WPEViewWayland.h
)

set(WPEPlatformWayland_PRIVATE_INCLUDE_DIRECTORIES
    "${WPEPlatform_PRIVATE_INCLUDE_DIRECTORIES}"
    "${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland"
    "${WEBKIT_DIR}/WPEPlatform/wpe/wayland"
)

set(WPEPlatformWayland_SYSTEM_INCLUDE_DIRECTORIES
    ${WAYLAND_INCLUDE_DIRS}
    ${WPEPlatform_SYSTEM_INCLUDE_DIRECTORIES}
)

set(WPEPlatformWayland_LIBRARIES
    ${WAYLAND_LIBRARIES}
    ${WPEPlatform_LIBRARIES}
)

check_function_exists(shm_open SHM_OPEN_EXISTS)
if (NOT SHM_OPEN_EXISTS)
    check_function_exists(shm_open SHM_OPEN_REQUIRES_LIBRT)
    if (SHM_OPEN_REQUIRES_LIBRT)
        list(APPEND WPEPlatformWayland_LIBRARIES rt)
    endif ()
endif ()

set(WPEPlatformWayland_SOURCES_FOR_INTROSPECTION
    ${WPEPlatformWayland_INSTALLED_HEADERS}
    ${WPEPlatformWayland_SOURCES}
)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-shell-protocol.c
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/stable/xdg-shell/xdg-shell.xml
    DEPENDS ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-shell-client-protocol.h
    COMMAND ${WAYLAND_SCANNER} private-code ${WAYLAND_PROTOCOLS_DATADIR}/stable/xdg-shell/xdg-shell.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-shell-protocol.c
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-shell-client-protocol.h
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/stable/xdg-shell/xdg-shell.xml
    COMMAND ${WAYLAND_SCANNER} client-header ${WAYLAND_PROTOCOLS_DATADIR}/stable/xdg-shell/xdg-shell.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/xdg-shell-client-protocol.h
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-dmabuf-unstable-v1-protocol.c
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml
    DEPENDS ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-dmabuf-unstable-v1-client-protocol.h
    COMMAND ${WAYLAND_SCANNER} private-code ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-dmabuf-unstable-v1-protocol.c
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-dmabuf-unstable-v1-client-protocol.h
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml
    COMMAND ${WAYLAND_SCANNER} client-header ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-dmabuf/linux-dmabuf-unstable-v1.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-dmabuf-unstable-v1-client-protocol.h
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v1-protocol.c
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/text-input/text-input-unstable-v1.xml
    DEPENDS ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v1-client-protocol.h
    COMMAND ${WAYLAND_SCANNER} private-code ${WAYLAND_PROTOCOLS_DATADIR}/unstable/text-input/text-input-unstable-v1.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v1-protocol.c
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v1-client-protocol.h
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/text-input/text-input-unstable-v1.xml
    COMMAND ${WAYLAND_SCANNER} client-header ${WAYLAND_PROTOCOLS_DATADIR}/unstable/text-input/text-input-unstable-v1.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v1-client-protocol.h
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v3-protocol.c
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/text-input/text-input-unstable-v3.xml
    DEPENDS ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v3-client-protocol.h
    COMMAND ${WAYLAND_SCANNER} private-code ${WAYLAND_PROTOCOLS_DATADIR}/unstable/text-input/text-input-unstable-v3.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v3-protocol.c
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v3-client-protocol.h
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/text-input/text-input-unstable-v3.xml
    COMMAND ${WAYLAND_SCANNER} client-header ${WAYLAND_PROTOCOLS_DATADIR}/unstable/text-input/text-input-unstable-v3.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/text-input-unstable-v3-client-protocol.h
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-explicit-synchronization-unstable-v1-protocol.c
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-explicit-synchronization/linux-explicit-synchronization-unstable-v1.xml
    DEPENDS ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-explicit-synchronization-unstable-v1-client-protocol.h
    COMMAND ${WAYLAND_SCANNER} private-code ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-explicit-synchronization/linux-explicit-synchronization-unstable-v1.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-explicit-synchronization-unstable-v1-protocol.c
    VERBATIM)

add_custom_command(
    OUTPUT ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-explicit-synchronization-unstable-v1-client-protocol.h
    MAIN_DEPENDENCY ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-explicit-synchronization/linux-explicit-synchronization-unstable-v1.xml
    COMMAND ${WAYLAND_SCANNER} client-header ${WAYLAND_PROTOCOLS_DATADIR}/unstable/linux-explicit-synchronization/linux-explicit-synchronization-unstable-v1.xml ${WPEPlatform_DERIVED_SOURCES_DIR}/wpe/wayland/linux-explicit-synchronization-unstable-v1-client-protocol.h
    VERBATIM)

add_library(WPEPlatformWayland OBJECT ${WPEPlatformWayland_SOURCES})
add_dependencies(WPEPlatformWayland WPEPlatformGeneratedEnumTypesHeader)
target_include_directories(WPEPlatformWayland PRIVATE ${WPEPlatformWayland_PRIVATE_INCLUDE_DIRECTORIES})
target_include_directories(WPEPlatformWayland SYSTEM PRIVATE ${WPEPlatformWayland_SYSTEM_INCLUDE_DIRECTORIES})
target_link_libraries(WPEPlatformWayland ${WPEPlatformWayland_LIBRARIES})

set_target_properties(WPEPlatformWayland PROPERTIES
    SOURCES_FOR_INTROSPECTION "${WPEPlatformWayland_SOURCES_FOR_INTROSPECTION}"
)

install(FILES "${CMAKE_BINARY_DIR}/wpe-platform-wayland-${WPE_API_VERSION}.pc"
        DESTINATION "${LIB_INSTALL_DIR}/pkgconfig"
        COMPONENT "Development"
)

install(FILES ${WPEPlatformWayland_INSTALLED_HEADERS}
        DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/wpe-webkit-${WPE_API_VERSION}/wpe-platform/wpe/wayland"
        COMPONENT "Development"
)

=== debian/changelog ===
wpewebkit (2.46.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Disable Skia on loong64 (Closes: #1085312).

 -- Alberto Garcia <berto@igalia.com>  Wed, 30 Oct 2024 22:57:37 +0100

wpewebkit (2.46.2-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Tue, 22 Oct 2024 13:22:44 +0200

wpewebkit (2.46.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove the following patches:
    - prefer-pthread.patch: this should not be needed anymore.
    - reduce-memory-overheads.patch: Override LDFLAGS instead.
  * debian/patches/dont-detect-sse2.patch:
    - Update this patch.
  * Update copyright information of all files.
  * debian/libwpewebkit-2.0-1.symbols:
    - Update symbols.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.
  * debian/rules:
    - Remove compiler overrides for sh4 (see #1082305).
    - Stop limiting parallel builds on Ubuntu.

 -- Alberto Garcia <berto@igalia.com>  Wed, 02 Oct 2024 18:54:49 +0200

wpewebkit (2.44.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix-clang-build.patch and fix-webasm-crash.patch.
  * debian/rules:
    - Disable dh_dwz, it breaks the build in at least i386 and amd64
      (see #1081000).

 -- Alberto Garcia <berto@igalia.com>  Fri, 06 Sep 2024 16:59:28 +0200

wpewebkit (2.44.3-1) unstable; urgency=high

  * New upstream release.
  * The WPE WebKit security advisory WSA-2024-0004 lists the following
    security fixes in the latest versions of WPE WebKit:
    - CVE-2024-40776, CVE-2024-40779, CVE-2024-40780, CVE-2024-40782,
      CVE-2024-40785, CVE-2024-40789, CVE-2024-40794, CVE-2024-4558
      (fixed in 2.44.3).
  * debian/control:
    - Update Standards-Version to 4.7.0 (no changes).
  * debian/libwpewebkit-2.0-1.symbols:
    - Update symbols.

 -- Alberto Garcia <berto@igalia.com>  Mon, 26 Aug 2024 17:14:46 +0200

wpewebkit (2.44.2-2) experimental; urgency=medium

  * debian/control:
    - Put the transitional package libwpewebkit-1.0-doc in oldlibs.
  * Rename wpewebkit-driver to wpewebkit-webdriver and add a transitional
    package.

 -- Alberto Garcia <berto@igalia.com>  Mon, 15 Jul 2024 11:58:35 +0200

wpewebkit (2.44.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/fix-clang-build.patch,
    debian/patches/fix-webasm-crash.patch:
    - Patches recommended by upstream after 2.44.3 was released.

 -- Alberto Garcia <berto@igalia.com>  Wed, 15 May 2024 11:05:32 +0200

=== debian/control ===
Source: wpewebkit
Section: libs
Priority: optional
Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Alberto Garcia <berto@igalia.com>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               bubblewrap [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
               xdg-dbus-proxy [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
               libseccomp-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
               cmake (>= 3.16),
               gperf,
               libatk-bridge2.0-dev,
               libatk1.0-dev,
               libavif-dev,
               libcairo2-dev,
               libepoxy-dev,
               libgbm-dev,
               libgcrypt20-dev,
               libgstreamer-plugins-bad1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libharfbuzz-dev,
               libicu-dev,
               libjpeg-dev,
               libjxl-dev,
               liblcms2-dev,
               libopenjp2-7-dev,
               libsoup-3.0-dev,
               libsqlite3-dev,
               libsystemd-dev,
               libtasn1-6-dev,
               libwayland-dev,
               libwebp-dev,
               libwoff-dev,
               libwpe-1.0-dev,
               libwpebackend-fdo-1.0-dev,
               libxslt1-dev,
               ninja-build,
               ruby:native,
               unifdef,
               wayland-protocols
Build-Depends-Indep: gi-docgen, gobject-introspection, libgirepository1.0-dev, libglib2.0-doc, libsoup-3.0-doc, jdupes
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git -b wpe/unstable
Homepage: https://wpewebkit.org/

Package: libwpewebkit-2.0-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libwpewebkit-2.0-1 (= ${binary:Version}),
         libglib2.0-dev,
         libsoup-3.0-dev,
         libwpe-1.0-dev,
         ${misc:Depends}
Suggests: libwpewebkit-doc
Description: Web content engine for embedded devices - development files
 WebKit is a modern web engine that is able to display content such as
 HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
 XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WPE WebKit is a WebKit port optimized for embedded devices and,
 unlike the GTK port, it does not depend on any particular UI toolkit
 and can be adapted to different use cases. It is designed with
 hardware acceleration in mind, leveraging common 3D graphics APIs for
 best performance.
 .
 This build provides version 2.0 of the API and uses libsoup v3 for
 the networking stack.
 .
 This package contains the development files.

Package: libwpewebkit-2.0-1
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
         ${bwrap:Depends}
Suggests: libwpebackend-fdo-1.0-1
Description: Web content engine for embedded devices
 WebKit is a modern web engine that is able to display content such as
 HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
 XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WPE WebKit is a WebKit port optimized for embedded devices and,
 unlike the GTK port, it does not depend on any particular UI toolkit
 and can be adapted to different use cases. It is designed with
 hardware acceleration in mind, leveraging common 3D graphics APIs for
 best performance.
 .
 This build provides version 2.0 of the API and uses libsoup v3 for
 the networking stack.
 .
 This package contains the shared libraries.

Package: wpewebkit-webdriver
Architecture: linux-any
Section: web
Depends: libwpewebkit-2.0-1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: wpewebkit-driver (<< 2.44.2-2~)
Replaces: wpewebkit-driver (<< 2.44.2-2~)
Description: WPE WebKit WebDriver support
 WebKit is a modern web engine that is able to display content such as
 HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
 XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WPE WebKit is a WebKit port optimized for embedded devices and,
 unlike the GTK port, it does not depend on any particular UI toolkit
 and can be adapted to different use cases. It is designed with
 hardware acceleration in mind, leveraging common 3D graphics APIs for
 best performance.
 .
 This package provides the WebDriver service implementation.

Package: libwpewebkit-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libwpewebkit-1.0-doc (<< 2.42.5-2~)
Replaces: libwpewebkit-1.0-doc (<< 2.42.5-2~)
Suggests: devhelp
Description: Web content engine for embedded devices - documentation
 WebKit is a modern web engine that is able to display content such as
 HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
 XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WPE WebKit is a WebKit port optimized for embedded devices and,
 unlike the GTK port, it does not depend on any particular UI toolkit
 and can be adapted to different use cases. It is designed with
 hardware acceleration in mind, leveraging common 3D graphics APIs for
 best performance.
 .
 This package contains the documentation.

Package: libwpewebkit-1.0-doc
Build-Profiles: <!nodoc>
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends: libwpewebkit-doc, ${misc:Depends}
Description: WPE WebKit documentation - Transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: wpewebkit-driver
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends: wpewebkit-webdriver, ${misc:Depends}
Description: WPE WebKit WebDriver support - transitional dummy package
 This is a transitional dummy package, it can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

EXTRA_DH_ARGUMENTS =
EXTRA_CMAKE_ARGUMENTS = -DPORT=WPE \
	   -DCMAKE_INSTALL_LIBEXECDIR=lib/$(DEB_HOST_MULTIARCH) \
	   -DCMAKE_C_FLAGS_RELEASE="" \
	   -DCMAKE_C_FLAGS_DEBUG="" \
	   -DCMAKE_CXX_FLAGS_RELEASE="" \
	   -DCMAKE_CXX_FLAGS_DEBUG="" \
	   -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
	   -DENABLE_WPE_QT_API=OFF \
	   -DUSE_LIBBACKTRACE=OFF \
	   -DENABLE_MINIBROWSER=ON
DH_GENCONTROL_ARGS =

# Sacrifice speed in order to make it more likely resource limits
# won't be hit.
ifeq ($(DEB_BUILD_ARCH_BITS),32)
	EXTRA_CMAKE_ARGUMENTS += -DFORCE_32BIT=ON
	LDFLAGS += -Wl,--no-keep-memory
endif

# The debug packages produced by webkit are huge and cause problems in
# most buildds. Use -g1 in all architectures to make them smaller.
CFLAGS := $(CFLAGS:-g=-g1)
CXXFLAGS := $(CXXFLAGS:-g=-g1)

# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=949621
LDFLAGS += -Wl,--reduce-memory-overheads

# Don't build with -gsplit-dwarf (see #1016936)
EXTRA_CMAKE_ARGUMENTS += -DDEBUG_FISSION=OFF

# Use the CLoop Javascript interpreter and disable the JIT. This is
# slow but it is the most compatible solution for old (non-SSE2) CPUs.
ifneq (,$(filter $(DEB_HOST_ARCH),i386))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JIT=OFF -DENABLE_C_LOOP=ON
endif

# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1085312
ifneq (,$(filter $(DEB_HOST_ARCH),loong64))
	EXTRA_CMAKE_ARGUMENTS += -DUSE_SKIA=OFF
endif

# See https://bugs.webkit.org/show_bug.cgi?id=197192
ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
	EXTRA_CMAKE_ARGUMENTS += -DWTF_CPU_ARM64_CORTEXA53=OFF
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DUSE_SYSTEM_MALLOC=ON
	CPPFLAGS += -DRELEASE_WITHOUT_OPTIMIZATIONS
endif

ifeq (,$(filter %-doc,$(shell dh_listpackages)))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF
else ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF
else
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=ON
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Debug
else
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Release
	CPPFLAGS += -DNDEBUG -DG_DISABLE_CAST_CHECKS
endif

# Disable the bubblewrap sandbox if libseccomp-dev is not available
ifeq ($(shell pkg-config --exists libseccomp && echo yes),yes)
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=ON
	DH_GENCONTROL_ARGS += -Vbwrap:Depends="bubblewrap (>= 0.3.1), xdg-dbus-proxy"
else
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=OFF
endif

%:
	dh $@ --buildsystem=cmake+ninja $(EXTRA_DH_ARGUMENTS)

override_dh_gencontrol:
	dh_gencontrol -- $(DH_GENCONTROL_ARGS)

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRA_CMAKE_ARGUMENTS)

override_dh_auto_clean: debian/control
	dh_auto_clean
	find Source Tools -type f -name "*.pyc" -exec rm {} \;
	find Source Tools -depth -type d -name __pycache__ -exec rmdir {} \;

# Create dummy doc directories in case the "nodoc" build option is set.
override_dh_install-indep:
	mkdir -p debian/tmp/usr/share/doc/wpe-webkit-2.0
	touch debian/tmp/usr/share/doc/wpe-webkit-2.0/index.html
	mkdir -p debian/tmp/usr/share/doc/wpe-web-process-extension-2.0
	touch debian/tmp/usr/share/doc/wpe-web-process-extension-2.0/index.html
	mkdir -p debian/tmp/usr/share/doc/wpe-javascriptcore-2.0
	touch debian/tmp/usr/share/doc/wpe-javascriptcore-2.0/index.html
	dh_install -i
	jdupes -rl debian/libwpewebkit-doc/usr

override_dh_shlibdeps:
	dh_shlibdeps -XMiniBrowser

override_dh_builddeb:
	DEB_BUILD_OPTIONS="$(filter-out parallel=%,$(DEB_BUILD_OPTIONS))" \
		dh_builddeb

override_dh_auto_test:

override_dh_dwz:

## wpewebkit 2.46.6

=== debian/changelog ===
wpewebkit (2.46.6-1) unstable; urgency=high

  * New upstream release.
  * Update copyright information of all files.
  * debian/rules:
    - Stop using -DWTF_CPU_ARM64_CORTEXA53=OFF, this was fixed upstream a
      long time ago (WebKit bug #197192).
  * debian/upstream/signing-key.asc:
    - sq complains about multiple concatenated ASCII Armor blocks, so put
      all keys in the same block.

 -- Alberto Garcia <berto@igalia.com>  Sun, 09 Feb 2025 18:32:24 +0100

wpewebkit (2.46.5-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Thu, 19 Dec 2024 01:18:46 +0100

wpewebkit (2.46.4-1) unstable; urgency=high

  * New upstream release.
  * The WPE WebKit security advisory WSA-2024-0007 lists the following
    security fixes in the latest versions of WPE WebKit:
    - CVE-2024-44308, CVE-2024-44309 (fixed in 2.46.4).

 -- Alberto Garcia <berto@igalia.com>  Wed, 27 Nov 2024 14:43:44 +0100

=== debian/rules ===
--- 
+++ 
@@ -45,11 +45,6 @@
 # https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1085312
 ifneq (,$(filter $(DEB_HOST_ARCH),loong64))
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_SKIA=OFF
-endif
-
-# See https://bugs.webkit.org/show_bug.cgi?id=197192
-ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
-	EXTRA_CMAKE_ARGUMENTS += -DWTF_CPU_ARM64_CORTEXA53=OFF
 endif
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))

## wpewebkit 2.48.0

=== debian/changelog ===
wpewebkit (2.48.0-1+rpi1) trixie-staging; urgency=medium

  * Disable jit.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 03 Apr 2025 20:45:28 +0000

wpewebkit (2.48.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh all patches.
  * Update copyright information of all files.
  * debian/control:
    - Add build dependency on flite1-dev (for speech synthesis).
  * libWPEWebInspectorResources.so is now inspector.gresource.
    - Update libwpewebkit-2.0-1.{install,symbols}.
    - Update libwpewebkit-2.0-1.lintian-overrides.
  * debian/libwpewebkit-2.0-1.symbols:
    - Update symbols.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.
  * debian/patches/fix-soname.patch
    - Cherry pick patch to fix WPE WebKit's shared library soname.

 -- Alberto Garcia <berto@igalia.com>  Mon, 17 Mar 2025 01:50:25 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                xdg-dbus-proxy [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
                libseccomp-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa ppc64 x32],
                cmake (>= 3.16),
+               flite1-dev,
                gperf,
                libatk-bridge2.0-dev,
                libatk1.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,11 @@
 ifneq (,$(filter $(DEB_HOST_ARCH),i386))
 	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JIT=OFF -DENABLE_C_LOOP=ON
 endif
+
+ifneq (,$(filter $(DEB_HOST_ARCH),armhf))
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JIT=OFF
+endif
+
 
 # https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1085312
 ifneq (,$(filter $(DEB_HOST_ARCH),loong64))

## wpewebkit 2.48.1

=== debian/changelog ===
wpewebkit (2.48.1-2+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 2.48.0-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 03 Apr 2025 20:45:28 +0000]
  * Disable jit.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 16 May 2025 19:30:19 +0000

wpewebkit (2.48.1-2) unstable; urgency=high

  * debian/rules:
    - Build with -mbranch-protection=pac-ret on arm64 (see #1104703).

 -- Alberto Garcia <berto@igalia.com>  Mon, 05 May 2025 17:28:28 +0200

wpewebkit (2.48.1-1) unstable; urgency=high

  * New upstream release.
  * debian/rules:
    - Build with -mlarge-data and -mlarge-text on alpha (see #1101547).
    - Build with HAVE_DENORMAL=0 on armel (WebKit bug #290994).
  * Refresh all patches and drop fix-soname.patch.
  * debian/control:
    - Update Standards-Version to 4.7.2 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Thu, 03 Apr 2025 19:27:40 +0200

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,12 @@
 # Don't build with -gsplit-dwarf (see #1016936)
 EXTRA_CMAKE_ARGUMENTS += -DDEBUG_FISSION=OFF
 
+# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1104703
+ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
+	CFLAGS := $(patsubst -mbranch-protection=%,-mbranch-protection=pac-ret,$(CFLAGS))
+	CXXFLAGS := $(patsubst -mbranch-protection=%,-mbranch-protection=pac-ret,$(CXXFLAGS))
+endif
+
 # Use the CLoop Javascript interpreter and disable the JIT. This is
 # slow but it is the most compatible solution for old (non-SSE2) CPUs.
 ifneq (,$(filter $(DEB_HOST_ARCH),i386))
@@ -50,6 +56,16 @@
 # https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1085312
 ifneq (,$(filter $(DEB_HOST_ARCH),loong64))
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_SKIA=OFF
+endif
+
+# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1101547
+ifneq (,$(filter $(DEB_HOST_ARCH),alpha))
+	CPPFLAGS += -mlarge-data -mlarge-text
+endif
+
+# https://bugs.webkit.org/show_bug.cgi?id=290994
+ifneq (,$(filter $(DEB_HOST_ARCH),armel))
+	CPPFLAGS += -DHAVE_DENORMAL=0
 endif
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
